#include "SidebarToolbox.h"

SidebarToolbox::SidebarToolbox()
{
  widget = gtk_vbox_new(FALSE, 0);
  g_object_ref_sink(G_OBJECT(widget));
}

SidebarToolbox::~SidebarToolbox()
{
  g_object_unref(G_OBJECT(widget));
}

bool SidebarToolbox::addTool(Tool *tool) {
  bool ret = tools.insert(tool).second;
  
  update();
  
  return ret;
}

bool SidebarToolbox::removeTool(Tool *tool) {
  bool ret = (tools.erase(tool) > 0);
  
  update();
  
  return ret;
}

void SidebarToolbox::update() {
}
