#ifndef ROOM_H_
#define ROOM_H_

#include "Polygon.h"
#include <string>


class Room : public Polygon {
  private:
    std::string name;
    float height;
    
  public:
    Room() {height = 10;}
    Room(std::string name) {this->name = name; height= 10;}
    
    
    std::string &getName() {return name;}
    const std::string &getName() const {return name;}
    void setName(const std::string &name) {this->name = name;}
    
    float getHeight() const {return height;}
    void setHeight(float height) {this->height = height;}
};

#endif /*ROOM_H_*/
